import React from 'react';
import { UseStateContextSource } from './createUseStateContext';
import { Dispatch } from './createContext';
import { Subscription } from '../core/createContext';
export declare const createStore: <T extends UseStateContextSource>(stateContext: React.Context<T>, stateSubscription: Subscription<T>, dispatchContext: React.Context<Dispatch<T>>, dispatchSubscription: Subscription<Dispatch<T>>) => {
    useGlobalState: import("../core/useSelector").UseSelector<T>;
    useGlobalDispatch: import("../core/useSelector").UseSelector<{ [P in keyof T]: React.Dispatch<React.SetStateAction<T[P]>>; }>;
};
