import React from 'react';
import { Subscription } from './createContext';
export declare type UseSelector<T> = {
    (): T;
    <SelectedState>(selector: (state: T) => SelectedState, equalityFunction?: EqualityFunction): SelectedState;
};
declare type EqualityFunction = (a: any, b: any) => boolean;
export declare const createUseSelector: <State>(context: React.Context<State>, subscription: Subscription<State>) => UseSelector<State>;
export {};
