/// <reference types="react" />
import { UseReducerContextSource } from './createUseReducerContext';
import { ReducerState, ReducerDispatch, State, Dispatch } from './createContext';
import { Subscription } from '../core/createContext';
export declare const createStore: <T extends UseReducerContextSource>(stateContext: import("react").Context<State<T>>, stateSubscription: Subscription<State<T>>, dispatchContext: import("react").Context<Dispatch<T>>, dispatchSubscription: Subscription<Dispatch<T>>) => {
    useGlobalState: import("../core/useSelector").UseSelector<{ [P in keyof T]: ReducerState<T[P]["reducer"]>; }>;
    useGlobalDispatch: import("../core/useSelector").UseSelector<{ [P_1 in keyof T]: ReducerDispatch<T[P_1]["reducer"]>; }>;
};
